Bug 1018669 - Parametrize qa jts tests running with JDBC Object Store
Parametrize qa jts tests running with JDBC Object Store
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER7
: EAP 6.2.0
Assigned To: Ondrej Chaloupka
Ondrej Chaloupka
Russell Dickenson
:
Depends On: 1022054
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 03:01 EDT by Ondrej Chaloupka
Modified: 2013-12-15 11:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-1968 Major Closed Add possibility to parametrize qa jts tests running with JDBC Object Store 2013-11-07 08:39:54 EST

  None (edit)
Description Ondrej Chaloupka 2013-10-14 03:01:34 EDT
Current ant configuration is hardcoded and there is no possibility to parametrize db properties to get test running against different databases.

Rework the qa/run-tests.xml file to add such functionality.
Comment 4 JBoss JIRA Server 2013-10-18 05:06:18 EDT
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1968 to Resolved
Comment 5 JBoss JIRA Server 2013-10-22 14:19:19 EDT
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1968 to Closed
Comment 6 tom.jenkinson 2013-10-24 08:29:18 EDT
Ondra did the work, so making the assignee Ondra - thanks Ondra :)
Comment 7 Ondrej Chaloupka 2013-10-31 08:30:04 EDT
The fix is available under 4.17.15.Final. It's possible to pass parameters of database to qa tests.

Note You need to log in before you can comment on or make changes to this bug.